//
//  SafeCustomTextField.m
//  LittleInvestLetou
//
//  Created by zhouyang on 17/4/24.
//  Copyright © 2017年 zhouyang. All rights reserved.
//

#import "SafeCustomTextField.h"
#import "SafeKeyboardView.h"

@interface SafeCustomTextField()<SafeKeyboardViewDelegate>
@end

@implementation SafeCustomTextField

-(instancetype)initWithFrame:(CGRect)frame
{
    if (self=[super initWithFrame:frame])
    {
       SafeKeyboardView *keyboardView = [[SafeKeyboardView alloc]initWithSomeChangeType:BoardNormal];
        keyboardView.delaget = self;
        self.inputView = keyboardView;
    }
    return self;
}

//每次输入 得到结果
-(void)safeKeyboardView:(SafeKeyboardView *)keyboardView transResultStr:(NSString *)str;
{
//    self.text = str;
    [self insertText:str];
}
//点击完成按钮 完成输入
-(void)clickCompleteBtnWithSafeKeyboardView:(SafeKeyboardView *)keyboardView
{
    [self resignFirstResponder];
}
//点击delete按钮 回删最后一个字符
-(void)clickDeleteBtnWithSafeKeyboardView:(SafeKeyboardView *)keyboardView
{
    [self deleteBackward];
}

// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code


}


@end
