//
//  SafeKeyboardView.h
//  LittleInvestLetou
//
//  Created by zhouyang on 17/3/28.
//  Copyright © 2017年 zhouyang. All rights reserved.
//
#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger , boardStatus){
    BoardNormal = 0,
    BoardDisorder,
    Board
};



@protocol SafeKeyboardViewDelegate;

@interface SafeKeyboardView : UIView

-(instancetype)initWithSomeChangeType:(NSInteger )changeType;

@property(nonatomic,assign)id<SafeKeyboardViewDelegate>delaget;

@property(nonatomic,assign)BOOL isShow;

@end

@protocol SafeKeyboardViewDelegate <NSObject>

@optional
//每次输入 得到结果（不包括删除键）
-(void)safeKeyboardView:(SafeKeyboardView *)keyboardView transResultStr:(NSString *)str;
//点击完成按钮 完成输入
-(void)clickCompleteBtnWithSafeKeyboardView:(SafeKeyboardView *)keyboardView;
//点击delete按钮 回删最后一个字符
-(void)clickDeleteBtnWithSafeKeyboardView:(SafeKeyboardView *)keyboardView;
@end
